Debian Bug report logs - #248589
RFP: dparser -- A simple but powerful tool for parsing

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>

Date: Wed, 12 May 2004 09:03:02 UTC

Severity: wishlist

Done: David Moreno Garza <damog@merkel.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#248589; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Seo Sanghyeon <tinuviel@fluid.sparcs.net>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Seo Sanghyeon <tinuviel@fluid.sparcs.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: dparser -- A simple but powerful tool for parsing
Date: Wed, 12 May 2004 17:52:57 +0900
Package: wnpp
Severity: wishlist


  Package name    : dparser
  Version         : 1.8
  Upstream Author : John Bradley Plevyak <jplevyak@yahoo.com>
  URL             : http://dparser.sourceforge.net/
  License         : BSD
  Description     : A simple but powerful tool for parsing

It has a FreeBSD port, so I would copy the description verbatim:
(see http://www.freshports.org/devel/dparser/)

DParser is a simple but powerful tool for parsing. You can specify the
form of the text to be parsed using a combination of regular expressions
and grammar productions. Because of the parsing technique (technically a
scannerless GLR parser based on the Tomita algorithm) there are no
restrictions. The grammar can be ambiguous, right or left recursive,
have any number of null productions, and because there is no seperate
tokenizer, can include whitespace in terminals and have terminals which
are prefixes of other terminals. DParser handles not just well formed
computer languages and data files, but just about any wacky situation
that occurs in the real world.

Yes, DParser deserves such priases I think. Extremely flexible.

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.5-1-686
Locale: LANG=ko_KR.eucKR, LC_CTYPE=ko_KR.eucKR



Changed Bug submitter from Seo Sanghyeon <tinuviel@fluid.sparcs.net> to Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>. Request was from Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to David Moreno Garza <damog@merkel.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Seo Sanghyeon <tinuviel@sparcs.kaist.ac.kr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #12 received at 248589-done@bugs.debian.org (full text, mbox):

From: David Moreno Garza <damog@merkel.debian.org>
To: 248589-done@bugs.debian.org
Subject: WNPP bug closing
Date: Thu, 24 Aug 2006 11:59:39 -0600
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 365 days.
- It hasn't had any activity recently.

As this is an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 248589
thanks bts

Further comments on the work done in the bug sent to
248589@bugs.debian.org would be truly welcomed.
Anyway, if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

A similar process is being applied to other kind of wnpp bugs.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>.
 



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 01:01:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:32:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.